/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package test;

import javax.ejb.Stateless;
import javax.ejb.LocalBean;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.persistence.Entity;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author walec51
 */
@Stateless
@TransactionManagement(TransactionManagementType.CONTAINER)
public class AnBean {
    
    @PersistenceContext(unitName="testPU")
    private EntityManager em;

    public void addAnEntity(String someData) {

        AnEntity e = new AnEntity();
        e.setSomeData(someData);
        em.persist(e);
    }

    public AnEntity getAnEntity(String someData) {

        Query q = em.createNamedQuery("AnQuery");
        q.setParameter("data", someData);
        return (AnEntity) q.getSingleResult();
    }
}
